org.apache.xerces.impl.xs

## Class SchemaGrammar.BuiltinSchemaGrammar

- java.lang.Object
- - org.apache.xerces.impl.xs.SchemaGrammar
  - - org.apache.xerces.impl.xs.SchemaGrammar.BuiltinSchemaGrammar

- All Implemented Interfaces:
    org.apache.xerces.xni.grammars.Grammar, org.apache.xerces.xni.grammars.XSGrammar, org.apache.xerces.xs.XSNamespaceItem
  Enclosing class:
    SchemaGrammar

      public static class SchemaGrammar.BuiltinSchemaGrammar
      extends SchemaGrammar

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.xerces.impl.xs.SchemaGrammar

      `SchemaGrammar.BuiltinSchemaGrammar, SchemaGrammar.Schema4Annotations`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.impl.xs.SchemaGrammar

      `fAnySimpleType, fAnyType, SG_SchemaNS, SG_XSI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaGrammar.BuiltinSchemaGrammar(int grammar, short schemaVersion)` Special constructor to create the grammars for the schema namespaces

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComplexTypeDecl(XSComplexTypeDecl decl, SimpleLocator locator)` add one complex type decl: for later constraint checking
    `void` | `addDocument(java.lang.Object document, java.lang.String location)`
    `void` | `addGlobalAttributeDecl(XSAttributeDecl decl)` register one global attribute
    `void` | `addGlobalAttributeDecl(XSAttributeDecl decl, java.lang.String location)`
    `void` | `addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)` register one global attribute group
    `void` | `addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl, java.lang.String location)`
    `void` | `addGlobalComplexTypeDecl(XSComplexTypeDecl decl)` register one global complex type
    `void` | `addGlobalComplexTypeDecl(XSComplexTypeDecl decl, java.lang.String location)`
    `void` | `addGlobalElementDecl(XSElementDecl decl)`
    `void` | `addGlobalElementDecl(XSElementDecl decl, java.lang.String location)`
    `void` | `addGlobalElementDeclAll(XSElementDecl decl)` register one global element
    `void` | `addGlobalGroupDecl(XSGroupDecl decl)` register one global group
    `void` | `addGlobalGroupDecl(XSGroupDecl decl, java.lang.String location)`
    `void` | `addGlobalNotationDecl(XSNotationDecl decl)` register one global notation
    `void` | `addGlobalNotationDecl(XSNotationDecl decl, java.lang.String location)`
    `void` | `addGlobalSimpleTypeDecl(XSSimpleType decl)` register one global simple type
    `void` | `addGlobalSimpleTypeDecl(XSSimpleType decl, java.lang.String location)`
    `void` | `addGlobalTypeDecl(org.apache.xerces.xs.XSTypeDefinition decl)` register one global type
    `void` | `addGlobalTypeDecl(org.apache.xerces.xs.XSTypeDefinition decl, java.lang.String location)`
    `void` | `addRedefinedGroupDecl(XSGroupDecl derived, XSGroupDecl base, SimpleLocator locator)` add a group redefined by restriction: for later constraint checking
    `org.apache.xerces.xni.grammars.XMLGrammarDescription` | `getGrammarDescription()` get the `XMLGrammarDescription` associated with this object
    `void` | `setImportedGrammars(java.util.Vector importedGrammars)`

    - ### Methods inherited from class org.apache.xerces.impl.xs.SchemaGrammar

      `addAnnotation, addIDConstraintDecl, addIDConstraintDecl, getAnnotations, getAttributeDeclaration, getAttributeGroup, getComponents, getComponentsExt, getDocumentLocations, getElementDeclaration, getGlobalAttributeDecl, getGlobalAttributeDecl, getGlobalAttributeGroupDecl, getGlobalAttributeGroupDecl, getGlobalElementDecl, getGlobalElementDecl, getGlobalGroupDecl, getGlobalGroupDecl, getGlobalNotationDecl, getGlobalNotationDecl, getGlobalTypeDecl, getGlobalTypeDecl, getIDCDefinition, getIDConstraintDecl, getIDConstraintDecl, getImportedGrammars, getModelGroupDefinition, getNotationDeclaration, getS4SGrammar, getSchemaNamespace, getTargetNamespace, getTypeDefinition, hasIDConstraints, isImmutable, isNamespaceAware, removeDocument, resetComponents, setImmutable, toXSModel, toXSModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaGrammar.BuiltinSchemaGrammar

          public SchemaGrammar.BuiltinSchemaGrammar(int grammar,
                                            short schemaVersion)

      Special constructor to create the grammars for the schema namespaces
      Parameters:
        `grammar` -

  - ### Method Detail

    - #### getGrammarDescription

          public org.apache.xerces.xni.grammars.XMLGrammarDescription getGrammarDescription()

      Description copied from interface: `org.apache.xerces.xni.grammars.Grammar`
      get the `XMLGrammarDescription` associated with this object
      Specified by:
        `getGrammarDescription` in interface `org.apache.xerces.xni.grammars.Grammar`
      Overrides:
        `getGrammarDescription` in class `SchemaGrammar`

    - #### setImportedGrammars

          public void setImportedGrammars(java.util.Vector importedGrammars)

      Overrides:
        `setImportedGrammars` in class `SchemaGrammar`

    - #### addGlobalAttributeDecl

          public void addGlobalAttributeDecl(XSAttributeDecl decl)

      Description copied from class: `SchemaGrammar`
      register one global attribute
      Overrides:
        `addGlobalAttributeDecl` in class `SchemaGrammar`

    - #### addGlobalAttributeDecl

          public void addGlobalAttributeDecl(XSAttributeDecl decl,
                                    java.lang.String location)

      Overrides:
        `addGlobalAttributeDecl` in class `SchemaGrammar`

    - #### addGlobalAttributeGroupDecl

          public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)

      Description copied from class: `SchemaGrammar`
      register one global attribute group
      Overrides:
        `addGlobalAttributeGroupDecl` in class `SchemaGrammar`

    - #### addGlobalAttributeGroupDecl

          public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl,
                                         java.lang.String location)

      Overrides:
        `addGlobalAttributeGroupDecl` in class `SchemaGrammar`

    - #### addGlobalElementDecl

          public void addGlobalElementDecl(XSElementDecl decl)

      Overrides:
        `addGlobalElementDecl` in class `SchemaGrammar`

    - #### addGlobalElementDecl

          public void addGlobalElementDecl(XSElementDecl decl,
                                  java.lang.String location)

      Overrides:
        `addGlobalElementDecl` in class `SchemaGrammar`

    - #### addGlobalElementDeclAll

          public void addGlobalElementDeclAll(XSElementDecl decl)

      Description copied from class: `SchemaGrammar`
      register one global element
      Overrides:
        `addGlobalElementDeclAll` in class `SchemaGrammar`

    - #### addGlobalGroupDecl

          public void addGlobalGroupDecl(XSGroupDecl decl)

      Description copied from class: `SchemaGrammar`
      register one global group
      Overrides:
        `addGlobalGroupDecl` in class `SchemaGrammar`

    - #### addGlobalGroupDecl

          public void addGlobalGroupDecl(XSGroupDecl decl,
                                java.lang.String location)

      Overrides:
        `addGlobalGroupDecl` in class `SchemaGrammar`

    - #### addGlobalNotationDecl

          public void addGlobalNotationDecl(XSNotationDecl decl)

      Description copied from class: `SchemaGrammar`
      register one global notation
      Overrides:
        `addGlobalNotationDecl` in class `SchemaGrammar`

    - #### addGlobalNotationDecl

          public void addGlobalNotationDecl(XSNotationDecl decl,
                                   java.lang.String location)

      Overrides:
        `addGlobalNotationDecl` in class `SchemaGrammar`

    - #### addGlobalTypeDecl

          public void addGlobalTypeDecl(org.apache.xerces.xs.XSTypeDefinition decl)

      Description copied from class: `SchemaGrammar`
      register one global type
      Overrides:
        `addGlobalTypeDecl` in class `SchemaGrammar`

    - #### addGlobalTypeDecl

          public void addGlobalTypeDecl(org.apache.xerces.xs.XSTypeDefinition decl,
                               java.lang.String location)

      Overrides:
        `addGlobalTypeDecl` in class `SchemaGrammar`

    - #### addGlobalComplexTypeDecl

          public void addGlobalComplexTypeDecl(XSComplexTypeDecl decl)

      Description copied from class: `SchemaGrammar`
      register one global complex type
      Overrides:
        `addGlobalComplexTypeDecl` in class `SchemaGrammar`

    - #### addGlobalComplexTypeDecl

          public void addGlobalComplexTypeDecl(XSComplexTypeDecl decl,
                                      java.lang.String location)

      Overrides:
        `addGlobalComplexTypeDecl` in class `SchemaGrammar`

    - #### addGlobalSimpleTypeDecl

          public void addGlobalSimpleTypeDecl(XSSimpleType decl)

      Description copied from class: `SchemaGrammar`
      register one global simple type
      Overrides:
        `addGlobalSimpleTypeDecl` in class `SchemaGrammar`

    - #### addGlobalSimpleTypeDecl

          public void addGlobalSimpleTypeDecl(XSSimpleType decl,
                                     java.lang.String location)

      Overrides:
        `addGlobalSimpleTypeDecl` in class `SchemaGrammar`

    - #### addComplexTypeDecl

          public void addComplexTypeDecl(XSComplexTypeDecl decl,
                                SimpleLocator locator)

      Description copied from class: `SchemaGrammar`
      add one complex type decl: for later constraint checking
      Overrides:
        `addComplexTypeDecl` in class `SchemaGrammar`

    - #### addRedefinedGroupDecl

          public void addRedefinedGroupDecl(XSGroupDecl derived,
                                   XSGroupDecl base,
                                   SimpleLocator locator)

      Description copied from class: `SchemaGrammar`
      add a group redefined by restriction: for later constraint checking
      Overrides:
        `addRedefinedGroupDecl` in class `SchemaGrammar`

    - #### addDocument

          public void addDocument(java.lang.Object document,
                         java.lang.String location)

      Overrides:
        `addDocument` in class `SchemaGrammar`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.